python2-google-api-python-client-1.7.8-1.1.noarch.rpm


Advertisement

Description

python2-google-api-python-client - Google APIs Python Client

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python2-google-api-python-client-1.7.8-1.1.noarch.rpm
Package name python2-google-api-python-client
Package version 1.7.8
Package release 1.1
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage https://github.com/google/google-api-python-client
License Apache-2.0
Maintainer -
Download size 94.80 KB
Installed size 356.46 KB
Google APIs Client Library for Python

Alternatives

Package Version Architecture Repository
python2-google-api-python-client - - -

Requires

Name Value
python(abi) = 2.7
python2-google-auth >= 1.4.1
python2-google-auth-httplib2 >= 0.0.3
python2-httplib2 >= 0.9.2
python2-six >= 1.6.1
python2-uritemplate >= 3.0.0

Provides

Name Value
google-api-python-client = 1.7.8
python-google-api-python-client = 1.7.8-1.1
python2-google-api-python-client = 1.7.8-1.1

Obsoletes

Name Value
google-api-python-client < 1.7.8
python-google-api-python-client < 1.7.8-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python2-google-api-python-client-1.7.8-1.1.noarch.rpm
Source Package python-google-api-python-client-1.7.8-1.1.src.rpm

Install Howto

Install python2-google-api-python-client rpm package:

# zypper install python2-google-api-python-client

Files

Path
/usr/lib/python2.7/site-packages/apiclient/__init__.py
/usr/lib/python2.7/site-packages/apiclient/__init__.pyc
/usr/lib/python2.7/site-packages/apiclient/__init__.pyo
/usr/lib/python2.7/site-packages/google_api_python_client-1.7.8-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/google_api_python_client-1.7.8-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/google_api_python_client-1.7.8-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/google_api_python_client-1.7.8-py2.7.egg-info/requires.txt
/usr/lib/python2.7/site-packages/google_api_python_client-1.7.8-py2.7.egg-info/top_level.txt
/usr/lib/python2.7/site-packages/googleapiclient/__init__.py
/usr/lib/python2.7/site-packages/googleapiclient/__init__.pyc
/usr/lib/python2.7/site-packages/googleapiclient/__init__.pyo
/usr/lib/python2.7/site-packages/googleapiclient/_auth.py
/usr/lib/python2.7/site-packages/googleapiclient/_auth.pyc
/usr/lib/python2.7/site-packages/googleapiclient/_auth.pyo
/usr/lib/python2.7/site-packages/googleapiclient/_helpers.py
/usr/lib/python2.7/site-packages/googleapiclient/_helpers.pyc
/usr/lib/python2.7/site-packages/googleapiclient/_helpers.pyo
/usr/lib/python2.7/site-packages/googleapiclient/channel.py
/usr/lib/python2.7/site-packages/googleapiclient/channel.pyc
/usr/lib/python2.7/site-packages/googleapiclient/channel.pyo
/usr/lib/python2.7/site-packages/googleapiclient/discovery.py
/usr/lib/python2.7/site-packages/googleapiclient/discovery.pyc
/usr/lib/python2.7/site-packages/googleapiclient/discovery.pyo
/usr/lib/python2.7/site-packages/googleapiclient/errors.py
/usr/lib/python2.7/site-packages/googleapiclient/errors.pyc
/usr/lib/python2.7/site-packages/googleapiclient/errors.pyo
/usr/lib/python2.7/site-packages/googleapiclient/http.py
/usr/lib/python2.7/site-packages/googleapiclient/http.pyc
/usr/lib/python2.7/site-packages/googleapiclient/http.pyo
/usr/lib/python2.7/site-packages/googleapiclient/mimeparse.py
/usr/lib/python2.7/site-packages/googleapiclient/mimeparse.pyc
/usr/lib/python2.7/site-packages/googleapiclient/mimeparse.pyo
/usr/lib/python2.7/site-packages/googleapiclient/model.py
/usr/lib/python2.7/site-packages/googleapiclient/model.pyc
/usr/lib/python2.7/site-packages/googleapiclient/model.pyo
/usr/lib/python2.7/site-packages/googleapiclient/sample_tools.py
/usr/lib/python2.7/site-packages/googleapiclient/sample_tools.pyc
/usr/lib/python2.7/site-packages/googleapiclient/sample_tools.pyo
/usr/lib/python2.7/site-packages/googleapiclient/schema.py
/usr/lib/python2.7/site-packages/googleapiclient/schema.pyc
/usr/lib/python2.7/site-packages/googleapiclient/schema.pyo
/usr/lib/python2.7/site-packages/googleapiclient/discovery_cache/__init__.py
/usr/lib/python2.7/site-packages/googleapiclient/discovery_cache/__init__.pyc
/usr/lib/python2.7/site-packages/googleapiclient/discovery_cache/__init__.pyo
/usr/lib/python2.7/site-packages/googleapiclient/discovery_cache/appengine_memcache.py
/usr/lib/python2.7/site-packages/googleapiclient/discovery_cache/appengine_memcache.pyc
/usr/lib/python2.7/site-packages/googleapiclient/discovery_cache/appengine_memcache.pyo
/usr/lib/python2.7/site-packages/googleapiclient/discovery_cache/base.py
/usr/lib/python2.7/site-packages/googleapiclient/discovery_cache/base.pyc
/usr/lib/python2.7/site-packages/googleapiclient/discovery_cache/base.pyo
/usr/lib/python2.7/site-packages/googleapiclient/discovery_cache/file_cache.py
/usr/lib/python2.7/site-packages/googleapiclient/discovery_cache/file_cache.pyc
/usr/lib/python2.7/site-packages/googleapiclient/discovery_cache/file_cache.pyo
/usr/share/doc/packages/python2-google-api-python-client/CHANGELOG
/usr/share/licenses/python2-google-api-python-client/LICENSE

Changelog

2019-03-14 - Tomá? Chvátal <tchvatal@suse.com>
- Update to 1.7.8:
* bunch of small bugfixes
* python2 exec prints warning now about deprecation
- Remove hidePythonDeps.patch does not make sense
- Add back unittest2 dep, upstream hardcoded it
2018-12-04 - Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
2018-08-13 - mcepl@suse.com
- Remove dependency on unittest2
- Upgrade to 1.7.4: just series of minor bugfixes
2018-05-31 - toddrme2178@gmail.com
- Add bug report about tests
2018-05-29 - tbechtold@suse.com
- update to 1.6.7:
- Make body optional for requests with no parameters. (#446)
- Fix retying on socket.timeout. (#495)
- Match travis matrix with tox testenv. (#498)
- Remove oauth2client._helpers dependency. (#493)
- Remove unused keyring test dependency. (#496)
- discovery.py: remove unused oauth2client import. (#492)
- Update README to reference GCP API client libraries. (#490)
- Warn when constructing BatchHttpRequest using the legacy batch URI (#488)
- Increase the default media chunksize to 100MB. (#482)
- Remove unnecessary parsing of mime headers in HttpRequest.__init__ (#467)
- Proactively refresh credentials when applying and treat a missing
`access_token` as invalid. Note: This change reveals surprising behavior
between default credentials and batches. If you allow
`googleapiclient.discovery.build` to use default credentials *and* specify
different credentials by providing `batch.execut()` with an explicit `http`
argument, your individual requests will use the default credentials and
* not* the credentials specified to the batch http. To avoid this, tell
`build` explicitly not to use default credentials by specifying
`build(..., http=httplib2.Http()`. (#469)
- Remove mutual exclusivity check for developerKey and credentials (#465)
- Handle unknown media length. (#406)
- Handle variant error format gracefully. (#459)
- Avoid testing against Django >= 2.0.0 on Python 2. (#460)
- Use %license
2017-09-30 - arun@gmx.de
- update to version 1.6.4:
* Warn when google-auth credentials are used but
google-auth-httplib2 isn't available. (#443)
- changes from version 1.6.3:
* Add notification of maintenance mode to README. (#410)
* Fix generation of methods with abnormal page token
conventions. (#338)
* Raise ValueError is credentials and developerKey are both
specified. (#358)
* Re-generate documentation. (#364, #373, #401)
* Fix method signature documentation for multiline required
parameters. (#374)
* Fix ZeroDivisionError in MediaDownloadProgress.progress. (#377)
* Fix dead link to WebTest in README. (#378)
* Fix details missing in googleapiclient.errors.HttpError. (#412)
* Don't treat httplib2.Credentials as oauth credentials. (#425)
* Various fixes to the Django sample. (#413)

See Also

Package Description
python2-google-auth-1.6.3-1.1.noarch.rpm Google Authentication Library
python2-google-auth-httplib2-0.0.3-1.1.noarch.rpm Google Authentication Library: httplib2 transport
python2-google-cloud-core-0.29.1-1.1.noarch.rpm Google Cloud API client core library
python2-google-cloud-kms-1.0.0-1.1.noarch.rpm Cloud Key Management Service (KMS) API API client library
python2-google-cloud-speech-1.0.0-1.1.noarch.rpm Google Cloud Speech API client library
python2-google-cloud-storage-1.14.0-1.1.noarch.rpm Google Cloud Storage API client library
python2-google-resumable-media-0.3.2-1.1.noarch.rpm Utilities for Google Media Downloads and Resumable Uploads
python2-googleapis-common-protos-1.5.9-1.1.noarch.rpm Common protobufs used in Google APIs
python2-googlemaps-3.0.2-1.1.noarch.rpm Python client library for Google Maps API Web Services
python2-gpg-1.13.0-1.1.i586.rpm Python 2 bindings for GPGME, a library for accessing GnuPG
python2-gpg-1.13.0-1.1.x86_64.rpm Python 2 bindings for GPGME, a library for accessing GnuPG
python2-gpgme-0.3-2.5.i586.rpm A Python module for working with OpenPGP messages
python2-gpgme-0.3-2.5.x86_64.rpm A Python module for working with OpenPGP messages
python2-gphoto2-2.0.0-1.1.i586.rpm Python interface to libgphoto2
python2-gphoto2-2.0.0-1.1.x86_64.rpm Python interface to libgphoto2
Advertisement
Advertisement